# template: default
%global gem_name puma-status

Name: rubygem-%{gem_name}
Version: 1.6
Release: 1%{?dist}
Summary: Command-line tool for puma to display information about running request/process
License: MIT
URL: https://github.com/ylecuyer/puma-status
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.5.0
BuildRequires: ruby >= 2.5.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Command-line tool for puma to display information about running
request/process.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%files
%dir %{gem_instdir}
%{_bindir}/puma-status
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu May 04 2023 Evgeni Golov 1.6-1
- Update to 1.6-1

* Tue Apr 27 2021 Evgeni Golov 1.3-1
- Update to 1.3

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 1.0-2
- Rebuild against rh-ruby27

* Mon Apr 13 2020 Eric D. Helms <ericdhelms@gmail.com> 1.0-1
- Add rubygem-puma-status generated by gem2rpm using the scl template

